/**************************************************************************/
/* GF71 ( 画面関連状態テーブル )                                          */
/*                                                                        */
/* Created : 2010/05/07 16:07:45                                          */
/**************************************************************************/
CREATE TABLE GF71 (
   SYSTEM_ID   VARCHAR(10)                 NOT NULL                  /* 10  システムID       */
 , ADDRESS     VARCHAR(256)                                          /* 20  アドレス         */
 , PRE_FIX     VARCHAR(10)                 NOT NULL                  /* 24  名前空間         */
 , FILENAME    VARCHAR(30)                                           /* 30  ファイル名       */
 , FILEPATH    VARCHAR(256)                                          /* 40  ファイルパス     */
 , MODIFIED    VARCHAR(14)                                           /* 50  最終更新日       */
 , TAGNAME     VARCHAR(30)                                           /* 60  タグ名称         */
 , TO_GAMENID  VARCHAR(30)                                           /* 70  先画面ID         */
 , HREF        VARCHAR(256)                                          /* 80  リンク先URL      */
 , TARGET      VARCHAR(10)                                           /* 90  ターゲット       */
 , CLM         VARCHAR(30)                                           /* 100 項目             */
 , P_KEYS      VARCHAR(500)                                          /* 110 引数キー         */
 , P_VALS      VARCHAR(500)                                          /* 120 引数値           */
 , USEGAMENID  VARCHAR(10)                                           /* 130 画面使用         */
 , USEREDIRECT VARCHAR(10)                                           /* 140 リダイレクト使用 */
 , TEXT_DATA   BLOB                                                  /* 150 テキスト         */
 , FGOMIT      VARCHAR(1)      DEFAULT '0' NOT NULL                  /* 160 除外フラグ       */
 , UNIQ        BIGINT                      NOT NULL PRIMARY KEY      /* 800 ユニークキー     */
 , FGJ         VARCHAR(1)      DEFAULT '1' NOT NULL                  /* 810 状態フラグ       */
 , DYSET       VARCHAR(14)                                           /* 820 登録日時         */
 , PGSET       VARCHAR(10)                                           /* 830 作成PG           */
 , PGPSET      VARCHAR(10)                                           /* 840 作成親PG         */
 , USRSET      VARCHAR(10)                                           /* 850 作成社員         */
 , DYUPD       VARCHAR(14)                                           /* 860 更新日時         */
 , PGUPD       VARCHAR(10)                                           /* 870 更新PG           */
 , PGPUPD      VARCHAR(10)                                           /* 880 更新親PG         */
 , USRUPD      VARCHAR(10)                                           /* 890 更新者           */
);

CREATE SEQUENCE GF71S01 ;


CREATE TRIGGER GF71T01 FOR GF71
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GF71S01,1 );
  END; 


